package com.bzd.system.service.bbfx;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 机构库存表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SBbfxKcbbJgkcmxService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSBbfxKcbbJgkcmx(PageData pd)throws Exception {
        return daoSupport.update("SBbfxKcbbJgkcmxMapper.addSBbfxKcbbJgkcmx", pd);
    }

    public List<PageData> findSBbfxKcbbJgkcmxList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SBbfxKcbbJgkcmxMapper.selectSBbfxKcbbJgkcmxList", pd);
    }

    public Integer SBbfxKcbbJgkcmxRemove(PageData pd)throws Exception {
        return daoSupport.delete("SBbfxKcbbJgkcmxMapper.SBbfxKcbbJgkcmxRemove", pd);
    }


    public Integer updateSBbfxKcbbJgkcmx(PageData pd)throws Exception {
        return daoSupport.update("SBbfxKcbbJgkcmxMapper.updateSBbfxKcbbJgkcmx", pd);
    }

}
